Ottieni dettagli del progetto
curl --request GET \
--url https://api.voicecheap.ai/v1/projects/{projectId} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.voicecheap.ai/v1/projects/{projectId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.voicecheap.ai/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "<string>",
"projectName": "<string>",
"status": "<string>",
"workflow": "<string>",
"originalVideoUrl": "<string>",
"originalLanguage": "<string>",
"targetLanguages": [
"<string>"
],
"duration": 123,
"createdAt": 123,
"progress": {
"progress.step": "<string>",
"progress.transcriptionProgress": 123,
"progress.transcriptionStatus": "<string>"
},
"translations": [
{
"translations[].workId": "<string>",
"translations[].translatedVersionId": "<string>",
"translations[].targetLanguage": "<string>",
"translations[].status": "<string>",
"translations[].currentStep": "<string>",
"translations[].progress": 123,
"translations[].createdAt": 123,
"translations[].completedAt": 123,
"translations[].failedAt": 123,
"translations[].timedOutAt": 123,
"translations[].translatedVideoUrl": "<string>",
"translations[].translatedAudioUrl": "<string>",
"translations[].settings": {},
"translations[].error": {}
}
],
"translations[].lipSync": {
"translations[].lipSync.latest": {},
"translations[].lipSync.history": [
{}
],
"translations[].lipSync.history[].jobId": "<string>",
"translations[].lipSync.history[].status": "<string>",
"translations[].lipSync.history[].videoUrl": "<string>",
"translations[].lipSync.history[].type": "<string>",
"translations[].lipSync.history[].activeSpeakerDetectionEnabled": true
},
"translations[].dynamicSubtitles": {},
"translations[].publicationAttempts": [
{}
],
"translations[].publishedVideos": [
{}
]
}Traduzione
Ottieni dettagli del progetto
Recupera i dettagli pubblici del progetto, la cronologia delle versioni tradotte e la cronologia della sincronizzazione labiale
Ottieni dettagli del progetto
Ottieni dettagli del progetto
Recupera una vista pubblica normalizzata di un progetto. Utilizza questo endpoint quando hai bisogno della cronologia delle versioni tradotte, della cronologia della sincronizzazione labiale, dello stato dei sottotitoli dinamici o dello stato di pubblicazione. Per un polling frequente, continua a utilizzare Ottieni stato della traduzione. Questo endpoint è più ricco e restituisce intenzionalmente più dati.Richiesta
Intestazioni
string
obbligatorio
La tua chiave API VoiceCheap. Ottienine una da app.voicecheap.ai/page-api.
Parametri del percorso
string
obbligatorio
L’identificatore univoco del progetto restituito da Crea progetto o Avvia traduzione.
Risposta
string
obbligatorio
L’identificatore univoco del progetto.
string
obbligatorio
Il nome del progetto.
string
obbligatorio
Stato pubblico del progetto:
processing, success o failed.string
obbligatorio
Flusso di lavoro API:
translation o transcription. I flussi di lavoro di trascrizione raggiungono il successo quando la trascrizione della sorgente termina.string
obbligatorio
URL del file video o audio originale caricato.
string
obbligatorio
La lingua originale rilevata o specificata.
string[]
obbligatorio
Lingue di destinazione associate al progetto.
number
obbligatorio
Durata del contenuto in secondi.
number
obbligatorio
Timestamp Unix di quando il progetto è stato creato.
object
obbligatorio
Progresso attuale a livello di progetto.
array
obbligatorio
Cronologia delle versioni tradotte, ordinata con la versione più recente per prima.
Mostra proprietà di traduzione
Mostra proprietà di traduzione
string
Identificatore del lavoro di traduzione.
string
Identificatore della versione tradotta.
string
Lingua di destinazione per questa versione.
string
Stato della versione di traduzione:
in-progress, completed, not-started o failed.string
Fase attuale di doppiaggio per questa versione.
number
Percentuale approssimativa di progresso del doppiaggio.
number
Timestamp di quando questa versione tradotta è stata creata.
number
Timestamp di completamento quando disponibile.
number
Timestamp di errore quando disponibile.
number
Timestamp di timeout quando disponibile.
string
URL del video tradotto.
string
URL dell’audio tradotto.
object
Impostazioni pubbliche utilizzate per la versione tradotta, come sottotitoli, SmartSync, audio di sottofondo e modalità di qualità.
object
Codice di errore e messaggio quando la versione tradotta non è riuscita.
object
Cronologia della sincronizzazione labiale per la versione tradotta, presente solo quando è stata richiesta la sincronizzazione labiale.
Mostra proprietà lipSync
Mostra proprietà lipSync
object
Ultimo tentativo di sincronizzazione labiale.
array
Tutti i tentativi di sincronizzazione labiale per questa versione tradotta, in ordine di creazione.
string
Identificatore del lavoro di sincronizzazione labiale.
string
Stato della sincronizzazione labiale:
PENDING, PROCESSING, COMPLETED, FAILED, REJECTED o CANCELED.string
URL del video con sincronizzazione labiale una volta completato.
string
Modalità di sincronizzazione labiale:
standard, pro o studio.boolean
Indica se il rilevamento del parlante attivo era abilitato per questo tentativo.
object
Stato dei sottotitoli dinamici quando disponibili.
array
Stato del tentativo di pubblicazione pubblica quando disponibile.
array
Riferimenti al video pubblicato pubblicamente quando disponibili.
Esempio
cURL
curl -X GET "https://api.voicecheap.ai/v1/projects/abc123-def456-ghi789" \
-H "x-api-key: vc_your-api-key"
Response
{
"projectId": "abc123-def456-ghi789",
"projectName": "Launch Demo",
"status": "success",
"workflow": "translation",
"originalVideoUrl": "https://storage.example.com/input.mp4",
"originalLanguage": "en",
"targetLanguages": ["french"],
"duration": 120,
"createdAt": 1791280000000,
"progress": {
"step": "done",
"transcriptionProgress": 100,
"transcriptionStatus": "success"
},
"translations": [
{
"workId": "work_123",
"translatedVersionId": "version_456",
"targetLanguage": "french",
"status": "completed",
"currentStep": "done",
"progress": 100,
"createdAt": 1791280200000,
"completedAt": 1791280800000,
"translatedVideoUrl": "https://storage.example.com/translated.mp4",
"translatedAudioUrl": "https://storage.example.com/translated.mp3",
"settings": {
"voiceCloning": true,
"uploadType": "video",
"keepBackgroundMusic": true,
"keepOriginalVoice": false,
"originalVoiceVolume": 30,
"subtitles": {
"isEnable": true,
"source": "translated"
},
"smartSync": true,
"voiceIsolatorOption": "studio",
"translationQualityMode": "max"
},
"lipSync": {
"latest": {
"jobId": "lip_789",
"status": "COMPLETED",
"videoUrl": "https://storage.example.com/lipsync.mp4",
"errorMessage": null,
"type": "pro",
"createdAt": "2026-06-08T10:00:00.000Z",
"completedAt": "2026-06-08T10:20:00.000Z",
"activeSpeakerDetectionEnabled": true
},
"history": [
{
"jobId": "lip_789",
"status": "COMPLETED",
"videoUrl": "https://storage.example.com/lipsync.mp4",
"errorMessage": null,
"type": "pro",
"createdAt": "2026-06-08T10:00:00.000Z",
"completedAt": "2026-06-08T10:20:00.000Z",
"activeSpeakerDetectionEnabled": true
}
]
}
}
]
}
Errori
| Stato | Codice | Descrizione |
|---|---|---|
| 401 | MISSING_API_KEY | È richiesta la chiave API |
| 401 | INVALID_API_KEY | La chiave API fornita non è valida |
| 403 | FORBIDDEN | Non hai il permesso di accedere al progetto |
| 404 | PROJECT_NOT_FOUND | Il progetto non esiste |
| 429 | RATE_LIMIT_EXCEEDED | Troppe richieste |
| 500 | INTERNAL_ERROR | Errore imprevisto del server |
Questa pagina è stata utile?

